Dialogs

From ENIGMA

(Difference between revisions)
Jump to: navigation, search
m
 
(41 intermediate revisions not shown)
Line 1: Line 1:
== '''Overview''' ==
== '''Overview''' ==
-
On this page is outlined the different "Widget Systems" that are available in ENIGMA, what platforms they support, and other important information you should know before using them. Some of these widget systems require installation, which is also explained here. Function documentation: http://dialogmodule.weebly.com/
+
On this page is outlined the different "Widget Systems" that are available in ENIGMA, what platforms they support, and other important information you should also know before using them. Some of these widget systems require installation, which is also explained here. You may read the most up-to-date function documentation available [https://enigma-dev.org/forums/index.php?topic=3008 here], (and related announcements).
Line 7: Line 7:
-
'''Platform''': Windows
+
'''Platform''': Windows Desktop (Vista, 7, 8, 8.1, 10)
-
'''Dependencies''': N/A
+
'''Dependencies''': Provided with the OS
'''License''': GPL3
'''License''': GPL3
Line 17: Line 17:
'''Language''': C++
'''Language''': C++
-
'''API's''': Windows API
+
'''API's''': Win32
'''Install Instructions''': N/A
'''Install Instructions''': N/A
-
'''Screenshots''': [https://i.imgur.com/PM7hCDI.gif Win32.gif]
+
'''Screenshots''': [https://i.imgur.com/TVGhkwG.gif Win32.gif]
-
'''Author(s)''': Josh Ventura, Samuel Venable
+
'''Author(s)''': Josh Ventura,  
 +
 
 +
Samuel Venable
Line 29: Line 31:
-
'''Platform''': Mac OS X
+
'''Platform''': Mac OS X / macOS (High Sierra, Mojave)
-
'''Dependencies''': N/A
+
'''Dependencies''': Provided with the OS
-
'''License''': MIT
+
'''License''': GPL3
'''UTF-8 Support''': Yes
'''UTF-8 Support''': Yes
-
'''Language''': C++, Objective-C
+
'''Language''': C++, Objective-C++
'''API's''': Cocoa
'''API's''': Cocoa
Line 43: Line 45:
'''Install Instructions''': N/A
'''Install Instructions''': N/A
-
'''Screenshots''': [https://i.imgur.com/orjVSbE.gif Cocoa.gif]
+
'''Screenshots''': [https://i.imgur.com/bkCYhWs.gif Cocoa.gif]
'''Author(s)''': Samuel Venable
'''Author(s)''': Samuel Venable
-
== '''Zenity''' ==
+
== '''Zenity Widgets''' ==
-
'''Platform''': Linux
+
'''Platform''': Linux, Raspbian, BSD (Potentially)
-
'''Dependencies''': [https://github.com/GNOME/zenity Zenity], [https://github.com/GNOME/gtk GTK]
+
'''Dependencies''': [https://github.com/GNOME/zenity Zenity], [https://github.com/GNOME GNOME], [https://github.com/GNOME/gtk GTK]
'''License''': LGPL2
'''License''': LGPL2
Line 59: Line 61:
'''UTF-8 Support''': Yes
'''UTF-8 Support''': Yes
-
'''Language''': C++, Shell Script
+
'''Language''': C++, Shell
-
'''API's''': X11, GNOME, GTK
+
'''API's''': X11, GTK, GNOME
-
'''Install Instructions''':  You have three options based on your desktop environment:
+
'''Install Instructions''':  You have three options based on your Linux distribution:
-
* On Debian-based Linux distributions, enter the following command into the terminal: '''sudo apt-get install gtk+3.0 zenity'''
+
* On Debian-based Linux distributions, enter the following command into the terminal: '''sudo apt-get install zenity'''
-
* On RedHat-based Linux distributions, enter the following command into the terminal: '''yum install gtk3 zenity'''
+
* On RedHat-based Linux distributions, enter the following command into the terminal: '''yum install zenity'''
* On Arch-based Linux distributions, please see [https://enigma-dev.org/docs/Wiki/Install:Arch_Setup setting up ENIGMA for Arch Linux development.]
* On Arch-based Linux distributions, please see [https://enigma-dev.org/docs/Wiki/Install:Arch_Setup setting up ENIGMA for Arch Linux development.]
Line 73: Line 75:
Both you and the end user will need to install using one of the above methods.
Both you and the end user will need to install using one of the above methods.
-
'''Screenshots''': [https://i.imgur.com/ydtj84w.gif Zenity.gif]
+
'''Screenshots''': [https://i.imgur.com/y2UaElD.gif Zenity.gif]
'''Author(s)''': Samuel Venable
'''Author(s)''': Samuel Venable
-
== '''KDialog''' ==
+
== '''KDialog Widgets''' ==
-
'''Platform''': Linux
+
'''Platform''': Linux, Raspbian, BSD (Potentially)
-
'''Dependencies''': [https://github.com/KDE/kdialog KDialog], [https://github.com/KDE KDE]
+
'''Dependencies''': [https://github.com/KDE/kdialog KDialog], [https://github.com/KDE KDE], [https://github.com/qt Qt]
'''License''': GPL2
'''License''': GPL2
Line 89: Line 91:
'''UTF-8 Support''': Yes
'''UTF-8 Support''': Yes
-
'''Language''': C++, Shell Script
+
'''Language''': C++, Shell
'''API's''': X11, Qt, KDE
'''API's''': X11, Qt, KDE
-
'''Install Instructions''':  You have three options based on your desktop environment:
+
'''Install Instructions''':  You have three options based on your Linux distribution:
-
* On Debian-based Linux distributions, enter the following command into the terminal: '''sudo apt-get install kdebase-bin'''
+
* On Debian-based Linux distributions, enter the following command into the terminal: '''sudo apt-get install kdialog'''
-
* On RedHat-based Linux distributions, enter the following command into the terminal: '''yum groupinstall "KDE (K Desktop Environment)"'''
+
* On RedHat-based Linux distributions, enter the following command into the terminal: '''yum install kdialog'''
* On Arch-based Linux distributions, please see [https://enigma-dev.org/docs/Wiki/Install:Arch_Setup setting up ENIGMA for Arch Linux development.]
* On Arch-based Linux distributions, please see [https://enigma-dev.org/docs/Wiki/Install:Arch_Setup setting up ENIGMA for Arch Linux development.]
Line 103: Line 105:
Both you and the end user will need to install using one of the above methods.
Both you and the end user will need to install using one of the above methods.
-
'''Screenshots''': [https://i.imgur.com/6d5baps.gif KDialog.gif]
+
'''Screenshots''': [https://i.imgur.com/Eugjc0n.gif KDialog.gif]
'''Author(s)''': Samuel Venable
'''Author(s)''': Samuel Venable

Latest revision as of 07:26, 14 September 2019

Contents

Overview

On this page is outlined the different "Widget Systems" that are available in ENIGMA, what platforms they support, and other important information you should also know before using them. Some of these widget systems require installation, which is also explained here. You may read the most up-to-date function documentation available here, (and related announcements).


Windows Widgets

Platform: Windows Desktop (Vista, 7, 8, 8.1, 10)

Dependencies: Provided with the OS

License: GPL3

UTF-8 Support: Yes

Language: C++

API's: Win32

Install Instructions: N/A

Screenshots: Win32.gif

Author(s): Josh Ventura,

Samuel Venable


Cocoa Widgets

Platform: Mac OS X / macOS (High Sierra, Mojave)

Dependencies: Provided with the OS

License: GPL3

UTF-8 Support: Yes

Language: C++, Objective-C++

API's: Cocoa

Install Instructions: N/A

Screenshots: Cocoa.gif

Author(s): Samuel Venable


Zenity Widgets

Platform: Linux, Raspbian, BSD (Potentially)

Dependencies: Zenity, GNOME, GTK

License: LGPL2

UTF-8 Support: Yes

Language: C++, Shell

API's: X11, GTK, GNOME

Install Instructions: You have three options based on your Linux distribution:

Both you and the end user will need to install using one of the above methods.

Screenshots: Zenity.gif

Author(s): Samuel Venable


KDialog Widgets

Platform: Linux, Raspbian, BSD (Potentially)

Dependencies: KDialog, KDE, Qt

License: GPL2

UTF-8 Support: Yes

Language: C++, Shell

API's: X11, Qt, KDE

Install Instructions: You have three options based on your Linux distribution:

Both you and the end user will need to install using one of the above methods.

Screenshots: KDialog.gif

Author(s): Samuel Venable

Personal tools
Namespaces
Variants
Actions
Navigation
ENIGMA
Other
Toolbox